
package jp.riken.brain.ni.samuraigraph.figure;

import java.awt.Color;

import jp.riken.brain.ni.samuraigraph.base.SGIFigureDialogObserver;
import jp.riken.brain.ni.samuraigraph.base.SGITwoAxesHolder;

/**
 *
 */
public interface SGIXYFigureDialogObserver
	extends SGIFigureDialogObserver, SGITwoAxesHolder
{

	public boolean setGridVisible( final boolean b );
	public boolean setAutoRangeFlag( final boolean b );
	public boolean setStepValueX( final double value );
	public boolean setStepValueY( final double value );
	public boolean setBaselineValueX( final double value );
	public boolean setBaselineValueY( final double value );
	public boolean setLineWidth( final float width, final String unit );
	public boolean setLineType( final int type );
	public boolean setColor( final Color cl );

	public boolean isGridVisible();
	public boolean isAutoRange();
	public double getStepValueX();
	public double getStepValueY();
	public double getBaselineValueX();
	public double getBaselineValueY();
	public float getLineWidth( final String unit );
	public int getLineType();
	public Color getColor();

	public boolean hasValidStepXValue( final Number step );
	public boolean hasValidStepYValue( final Number step );

}

